## kdeplasma-addons 5.9.4

=== debian/changelog ===
kdeplasma-addons (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 20:00:14 +0000

kdeplasma-addons (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:54:08 +0000

kdeplasma-addons (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:07:14 +0000

kdeplasma-addons (4:5.9.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.1)
  * Update installed appstream data

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:22:10 +0000

kdeplasma-addons (4:5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:56:27 +0000

kdeplasma-addons (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:46:47 +0000

kdeplasma-addons (4:5.8.4-0ubuntu2) UNRELEASED; urgency=medium

  [ Clive Johnston ]
  * Remove files not installed any more

  [ Rik Mills ]
  * Install files for grouping plasmoids

  [ Clive Johnston ]
  * Updating install files

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 16 Dec 2016 23:44:01 +0000

kdeplasma-addons (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Merge with debian, dropping the -dbg package in the process
  * Remove quickshare files from not-installed, they were there while
    purpose wansn't available for debian
  * Add quickshare files to plasma-widgets-addons.install

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ Rik Mills ]
  * Update install files
    - Install mediaframe json instead of desktop file and consolidate file path
    - New quickshare plasmoid
    - Add new appstream data file
  * New upstream release (5.8.4)
  
  [ Clive Johnston ]
  * Fixing install files
  * Fixing lintian-overrides

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:55:54 +0000

kdeplasma-addons (4:5.7.2-0ubuntu2) UNRELEASED; urgency=medium

  * Install new appstream data
  * Update breaks/replaces
  * Install new minimizeall plasmoid
  * Remove activity pager as this is now in plasma-desktop

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 18 Aug 2016 15:47:22 +0100

=== debian/control ===
Source: kdeplasma-addons
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kinit-dev (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libboost-dev,
               libgee-0.8-dev | libgee-dev,
               libglib2.0-dev,
               libibus-1.0-dev,
               libkf5activities-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5plasma-dev (>= 5.31.0~),
               libkf5runner-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sysguard-dev (>= 4:5.9.4~),
               libkf5unitconversion-dev (>= 5.31.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb-shm0-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.9.4~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               scim-dev,
               shared-mime-info
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kdeplasma-addons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons

Package: kdeplasma-addons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: locale files for kdeplasma-addons
 The KDE Plasma addons module is a collection of additional Plasma 5
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package contains locale files for KDE Plasma addons module.

Package: kwin-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kwin-x11 | kwin,
         plasma-framework,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kwin-data (<< 4:5.1.0.1+git20141031.1444)
Replaces: kwin-data (<< 4:5.1.0.1+git20141031.1444)
Description: additional desktop and window switchers for KWin
 This package contains additional KWin desktop and window switchers shipped in
 the Plasma 5 addons module.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-widgets-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kpackagetool5,
         plasma-dataengines-addons (= ${binary:Version}),
         plasma-framework,
         plasma-workspace,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kio,
         qml-module-qtgraphicaleffects,
         qml-module-qtwebkit,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-wallpapers-addons (<< ${source:Version})
Replaces: plasma-wallpapers-addons (<< ${source:Version})
Description: additional widgets for Plasma 5
 This package contains additional Plasma 5 widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package provides the following widgets:
  * Calculator
  * Dictionary
  * Fuzzy Clock
  * Konsole Profiles
  * Notes
  * System Load Viewer
  * Timer
  * Unit Converter
  * Userswitcher
  * Diskquota
  * Activity pager
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.

Package: plasma-dataengines-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kross,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-widgets-addons (<< ${source:Version})
Replaces: plasma-widgets-addons (<< ${source:Version})
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma 5
 addons module. These engines are needed by some Plasma  5 widget shipped with
 plasma-widgets-addons, but they may be useful for any other Plasma widgets too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional runners for Plasma 5 and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package contains the following runners:
  * Dictionary
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.

Package: plasma-wallpapers-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-framework,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional wallpaper plugins for Plasma 5
 This package contains additional Plasma 5 wallpaper plugins that are used in
 the Plasma desktop to give marble, mandelbrot and other such wallpapers.
 .
 This package contains the following wallpaper plugins:
  * Haenau
  * Hunyango
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.

## kdeplasma-addons 5.9.5

=== debian/changelog ===
kdeplasma-addons (4:5.9.5-0ubuntu0.3) zesty; urgency=high

  * Put qml-module-org-kde-purpose in the correct spot (LP: #1715219).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 20 Sep 2017 22:43:34 -0500

kdeplasma-addons (4:5.9.5-0ubuntu0.2) zesty; urgency=medium

  * Add missing qml-module-org-kde-purpose dependency to plasma-widgets-addons
    which is required for the quickshare plasmoid (LP: #1715219).

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 05 Sep 2017 17:55:27 -0500

kdeplasma-addons (4:5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:17:32 +0100

=== debian/control ===
--- 
+++ 
@@ -81,6 +81,7 @@
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kio,
+         qml-module-org-kde-purpose,
          qml-module-qtgraphicaleffects,
          qml-module-qtwebkit,
          ${misc:Depends},

## kdeplasma-addons 5.10.5

=== debian/changelog ===
kdeplasma-addons (4:5.10.5-0ubuntu2) artful; urgency=medium

  * Add missing qml-module-org-kde-purpose dependency to plasma-widgets-addons
    which is required for the quickshare plasmoid (LP: #1715219)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 05 Sep 2017 20:30:23 +0100

kdeplasma-addons (4:5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:40:57 +0100

kdeplasma-addons (4:5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:39:01 +0100

kdeplasma-addons (4:5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:17:34 +0100

kdeplasma-addons (4:5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:14:07 +0100

kdeplasma-addons (4:5.10.1a-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)
  * Update version for re-spun tarball

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:10:46 +0100

kdeplasma-addons (4:5.10.0-0ubuntu1) artful; urgency=medium

  * Install files for binary clock widget
  * New upstream release (5.9.95)
  * Update runtime dependencies
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:51:07 +0100

kdeplasma-addons (4:5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:33:56 +0100

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,27 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               kinit-dev (>= 5.31.0~),
-               kross-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.36.0~),
+               kinit-dev (>= 5.36.0~),
+               kross-dev (>= 5.36.0~),
                libboost-dev,
                libgee-0.8-dev | libgee-dev,
                libglib2.0-dev,
                libibus-1.0-dev,
-               libkf5activities-dev (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5configwidgets-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5newstuff-dev (>= 5.31.0~),
-               libkf5plasma-dev (>= 5.31.0~),
-               libkf5runner-dev (>= 5.31.0~),
-               libkf5service-dev (>= 5.31.0~),
-               libkf5sysguard-dev (>= 4:5.9.4~),
-               libkf5unitconversion-dev (>= 5.31.0~),
+               libkf5activities-dev (>= 5.36.0~),
+               libkf5config-dev (>= 5.36.0~),
+               libkf5configwidgets-dev (>= 5.36.0~),
+               libkf5coreaddons-dev (>= 5.36.0~),
+               libkf5i18n-dev (>= 5.36.0~),
+               libkf5kcmutils-dev (>= 5.36.0~),
+               libkf5kdelibs4support-dev (>= 5.36.0~),
+               libkf5kio-dev (>= 5.36.0~),
+               libkf5newstuff-dev (>= 5.36.0~),
+               libkf5plasma-dev (>= 5.36.0~),
+               libkf5runner-dev (>= 5.36.0~),
+               libkf5service-dev (>= 5.36.0~),
+               libkf5sysguard-dev (>= 4:5.10.5~),
+               libkf5unitconversion-dev (>= 5.36.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb-keysyms1-dev,
@@ -33,7 +33,7 @@
                libxcb1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.9.4~),
+               plasma-workspace-dev (>= 4:5.10.5~),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
                scim-dev,
@@ -75,6 +75,7 @@
 Architecture: any
 Depends: kdeplasma-addons-data (= ${source:Version}),
          kpackagetool5,
+         libkf5purpose5,
          plasma-dataengines-addons (= ${binary:Version}),
          plasma-framework,
          plasma-workspace,
@@ -83,6 +84,8 @@
          qml-module-org-kde-kio,
          qml-module-org-kde-purpose,
          qml-module-qtgraphicaleffects,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick-window2,
          qml-module-qtwebkit,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -113,6 +116,8 @@
 Architecture: any
 Depends: kdeplasma-addons-data (= ${source:Version}),
          kross,
+         plasma-framework,
+         qml-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: plasma-widgets-addons (<< ${source:Version})

## kdeplasma-addons 5.12.4

=== CMakeLists.txt ===
project(kdeplasma-addons)
set(PROJECT_VERSION "5.12.4")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12)

################# Disallow in-source build #################
if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "plasma requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there.")
endif()

include(FeatureSummary)

find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)

set(REQUIRED_QT_VERSION 5.9.0)
set(KF5_MIN_VERSION 5.42.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Gui DBus Quick Qml Widgets X11Extras)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Activities Config ConfigWidgets CoreAddons I18n KIO KCMUtils Plasma Runner Service UnitConversion KDELibs4Support NewStuff Kross)

find_package(LibTaskManager CONFIG REQUIRED)

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "http://www.x.org"
                        TYPE REQUIRED
                        PURPOSE "Required for building the X11 based workspace"
                      )

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

#########################################################################

################# list the subdirectories #################
#add_subdirectory(src)
#add_subdirectory( desktoptheme )

add_subdirectory(libs)
add_subdirectory(applets)
add_subdirectory(dataengines)
add_subdirectory(runners)

add_subdirectory(wallpapers)

add_subdirectory(windowswitchers)
add_subdirectory(desktopswitchers)

configure_file(config-kdeplasma-addons.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdeplasma-addons.h)

configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== libs/CMakeLists.txt ===

add_subdirectory(plasmaweather)

=== runners/CMakeLists.txt ===
add_subdirectory(converter)
add_subdirectory(datetime)
add_subdirectory(katesessions)
add_subdirectory(spellchecker)
add_subdirectory(dictionary)

=== applets/dict/CMakeLists.txt ===
find_package(Qt5WebEngine ${REQUIRED_QT_VERSION} CONFIG)

set_package_properties(Qt5WebEngine PROPERTIES
    PURPOSE "Needed by the dict applet"
    URL "https://doc.qt.io/qt-5/qtwebengine-index.html"
    TYPE OPTIONAL
)

if (Qt5WebEngine_FOUND)

#######################################################################################
# Package (metadata.desktop and QML)
plasma_install_package(package org.kde.plasma_applet_dict)

#######################################################################################
# Icon for the package
install(FILES accessories-dictionary.svgz
        DESTINATION ${DATA_INSTALL_DIR}/icons/hicolor/scalable/apps/)

#######################################################################################
# C++ Plugin

add_definitions(-DTRANSLATION_DOMAIN="plasma_applet_org.kde.plasma.dict")

set(dict_SRCS
  plugin/dict_plugin.cpp
  plugin/dict_object.cpp
  plugin/dictionariesmodel.cpp
)

add_library(dictplugin SHARED ${dict_SRCS})
target_link_libraries(dictplugin
    KF5::Plasma
    KF5::IconThemes
    KF5::I18n
    Qt5::Quick
    Qt5::WebEngine
)

install(FILES plugin/qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/private/dict)
install(TARGETS dictplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/private/dict)

endif()

=== dataengines/konsoleprofiles/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="plasma_engine_konsoleprofiles")

set(konsoleprofilesengine_SRCS
    konsoleprofilesengine.cpp
    konsoleprofilesservice.cpp
)

add_library(plasma_engine_konsoleprofiles MODULE ${konsoleprofilesengine_SRCS})
target_link_libraries(plasma_engine_konsoleprofiles
    KF5::Plasma
    KF5::Service
    KF5::KIOCore
    KF5::KDELibs4Support
)

kcoreaddons_desktop_to_json(plasma_engine_konsoleprofiles plasma-dataengine-konsoleprofiles.desktop SERVICE_TYPES plasma-dataengine.desktop)

install(TARGETS plasma_engine_konsoleprofiles DESTINATION ${PLUGIN_INSTALL_DIR}/plasma/dataengine)
install(FILES plasma-dataengine-konsoleprofiles.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install(FILES org.kde.plasma.dataengine.konsoleprofiles.operations DESTINATION ${PLASMA_DATA_INSTALL_DIR}/services)

=== dataengines/potd/CMakeLists.txt ===
set(potd_engine_SRCS
	cachedprovider.cpp
	potd.cpp
)

add_library(plasma_engine_potd MODULE ${potd_engine_SRCS} )
target_link_libraries(plasma_engine_potd plasmapotdprovidercore
    KF5::Plasma
    KF5::KIOCore
)

kcoreaddons_desktop_to_json(plasma_engine_potd plasma-dataengine-potd.desktop SERVICE_TYPES plasma-dataengine.desktop)

install(TARGETS plasma_engine_potd DESTINATION ${PLUGIN_INSTALL_DIR}/plasma/dataengine )
install(FILES plasma-dataengine-potd.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


########### plugin core library ############

set(potd_provider_core_SRCS
	potdprovider.cpp
	${CMAKE_CURRENT_BINARY_DIR}/plasma_potd_export.h
)

add_library( plasmapotdprovidercore SHARED ${potd_provider_core_SRCS} )
target_link_libraries( plasmapotdprovidercore Qt5::Gui KF5::CoreAddons )
set_target_properties( plasmapotdprovidercore PROPERTIES VERSION 1.0.0 SOVERSION 1 )
generate_export_header(plasmapotdprovidercore BASE_NAME PLASMA_POTD EXPORT_FILE_NAME plasma_potd_export.h)

install( TARGETS plasmapotdprovidercore ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### plugins ###############

set( potd_flickr_provider_SRCS
	flickrprovider.cpp
)

add_library( plasma_potd_flickrprovider MODULE ${potd_flickr_provider_SRCS} )
target_link_libraries( plasma_potd_flickrprovider plasmapotdprovidercore KF5::KIOCore KF5::CoreAddons)

kcoreaddons_desktop_to_json(plasma_potd_flickrprovider flickrprovider.desktop SERVICE_TYPES ${CMAKE_CURRENT_SOURCE_DIR}/plasma_potdprovider.desktop)

install( TARGETS plasma_potd_flickrprovider DESTINATION ${PLUGIN_INSTALL_DIR}/potd )

set( potd_apod_provider_SRCS
	apodprovider.cpp
)

add_library( plasma_potd_apodprovider MODULE ${potd_apod_provider_SRCS} )
target_link_libraries( plasma_potd_apodprovider plasmapotdprovidercore KF5::KIOCore)

kcoreaddons_desktop_to_json(plasma_potd_apodprovider apodprovider.desktop SERVICE_TYPES ${CMAKE_CURRENT_SOURCE_DIR}/plasma_potdprovider.desktop)

install( TARGETS plasma_potd_apodprovider DESTINATION ${PLUGIN_INSTALL_DIR}/potd )

set( potd_natgeo_provider_SRCS
	natgeoprovider.cpp
)

add_library( plasma_potd_natgeoprovider MODULE ${potd_natgeo_provider_SRCS} )
target_link_libraries( plasma_potd_natgeoprovider plasmapotdprovidercore KF5::KIOCore)

kcoreaddons_desktop_to_json(plasma_potd_natgeoprovider natgeoprovider.desktop SERVICE_TYPES ${CMAKE_CURRENT_SOURCE_DIR}/plasma_potdprovider.desktop)

install( TARGETS plasma_potd_natgeoprovider DESTINATION ${PLUGIN_INSTALL_DIR}/potd )

set( potd_epod_provider_SRCS
	epodprovider.cpp
)

add_library( plasma_potd_epodprovider MODULE ${potd_epod_provider_SRCS} )
target_link_libraries( plasma_potd_epodprovider plasmapotdprovidercore KF5::KIOCore)

kcoreaddons_desktop_to_json(plasma_potd_epodprovider epodprovider.desktop SERVICE_TYPES ${CMAKE_CURRENT_SOURCE_DIR}/plasma_potdprovider.desktop)

install( TARGETS plasma_potd_epodprovider DESTINATION ${PLUGIN_INSTALL_DIR}/potd )

set( potd_noaa_provider_SRCS
	noaaprovider.cpp
)

add_library( plasma_potd_noaaprovider MODULE ${potd_noaa_provider_SRCS} )
target_link_libraries( plasma_potd_noaaprovider plasmapotdprovidercore KF5::KIOCore)

kcoreaddons_desktop_to_json(plasma_potd_noaaprovider noaaprovider.desktop SERVICE_TYPES ${CMAKE_CURRENT_SOURCE_DIR}/plasma_potdprovider.desktop)

install( TARGETS plasma_potd_noaaprovider DESTINATION ${PLUGIN_INSTALL_DIR}/potd )

set( potd_wcpotd_provider_SRCS
	wcpotdprovider.cpp
)

add_library( plasma_potd_wcpotdprovider MODULE ${potd_wcpotd_provider_SRCS} )
target_link_libraries( plasma_potd_wcpotdprovider plasmapotdprovidercore KF5::KIOCore )

kcoreaddons_desktop_to_json(plasma_potd_wcpotdprovider wcpotdprovider.desktop SERVICE_TYPES ${CMAKE_CURRENT_SOURCE_DIR}/plasma_potdprovider.desktop)

install( TARGETS plasma_potd_wcpotdprovider DESTINATION ${PLUGIN_INSTALL_DIR}/potd )

set( potd_bing_provider_SRCS
	bingprovider.cpp
)

add_library( plasma_potd_bingprovider MODULE ${potd_bing_provider_SRCS} )
target_link_libraries( plasma_potd_bingprovider plasmapotdprovidercore KF5::KIOCore )

kcoreaddons_desktop_to_json(plasma_potd_bingprovider bingprovider.desktop SERVICE_TYPES ${CMAKE_CURRENT_SOURCE_DIR}/plasma_potdprovider.desktop)

install( TARGETS plasma_potd_bingprovider DESTINATION ${PLUGIN_INSTALL_DIR}/potd )

=== libs/plasmaweather/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="libplasmaweather")

add_definitions(
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
)

set(plasmaweather_LIB_SRCS
    weatherpopupapplet.cpp
    weathervalidator.cpp
    weatherlocation.cpp
)

set(plasmaweather_HEADERS
    weatherpopupapplet.h
    weathervalidator.h
    weatherlocation.h
    plasmaweather_export.h
)

add_library(plasmaweather SHARED ${plasmaweather_LIB_SRCS})
generate_export_header(plasmaweather)

target_link_libraries(plasmaweather
PUBLIC
    KF5::Plasma
    KF5::UnitConversion
PRIVATE
    KF5::WidgetsAddons
    KF5::Notifications
    KF5::I18n
)
set_target_properties(plasmaweather PROPERTIES
    OUTPUT_NAME plasmaweatherprivate
)
target_include_directories(plasmaweather INTERFACE "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>")

install(TARGETS plasmaweather ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
# nothing outside of kdeplasma-addons uses this library, and the API is not stable -> do not install headers!
#install(FILES ${plasmaweather_HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/plasmaweather COMPONENT Devel)

=== runners/katesessions/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_runner_katesessions\")

set(krunner_katesessions_SRCS
    katesessions.cpp
)


add_library(krunner_katesessions MODULE ${krunner_katesessions_SRCS})
target_link_libraries(krunner_katesessions KF5::KIOCore KF5::I18n KF5::Runner)
install(TARGETS krunner_katesessions DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-runner-katesessions.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== runners/spellchecker/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="plasma_runner_spellcheckrunner")

set(krunner_spellcheckrunner_SRCS
    spellcheck.cpp
)

set(kcm_krunner_spellcheck_SRCS
    spellcheck_config.cpp
)

ki18n_wrap_ui(kcm_krunner_spellcheck_SRCS spellcheck_config.ui)
add_library(kcm_krunner_spellcheck MODULE ${kcm_krunner_spellcheck_SRCS})
target_link_libraries(kcm_krunner_spellcheck 
    Qt5::Gui
    KF5::Runner
    KF5::KCMUtils
    KF5::KDELibs4Support
    KF5::I18n
)

add_library(krunner_spellcheck MODULE ${krunner_spellcheckrunner_SRCS})
target_link_libraries(krunner_spellcheck
    KF5::Runner
    KF5::KIOWidgets
    KF5::I18n
    KF5::SonnetCore
)

install(TARGETS krunner_spellcheck kcm_krunner_spellcheck
        DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-runner-spellchecker.desktop plasma-runner-spellchecker_config.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kdeplasma-addons (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:52:36 +0100

kdeplasma-addons (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:48:45 +0000

kdeplasma-addons (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:42:21 +0000

kdeplasma-addons (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:12:25 +0000

kdeplasma-addons (4:5.12.0-0ubuntu2) bionic; urgency=medium

  * Exclude qml-module-qtwebengine dependancy on s390x and ppc64el
    where not this is available, and dict applet requiring it is
    not built.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 08 Feb 2018 09:01:12 +0000

kdeplasma-addons (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * Add build dep on qtwebengine5-dev for new KF5 port of dict applet
  * Install resultant dict applet files
  * Update install files and lintian overrides
  * Runtime dep on qml-module-qtwebengine for plasma-widgets-addons
  * New upstream release (5.11.95)
  * Don't build dict applet on ppc64el and s390x due to missing
    QtWebEngine build depends
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:49:51 +0000

kdeplasma-addons (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:38:31 +0000

kdeplasma-addons (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:14:25 -0600

kdeplasma-addons (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:57:58 +0000

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,27 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.36.0~),
-               kinit-dev (>= 5.36.0~),
-               kross-dev (>= 5.36.0~),
+               extra-cmake-modules (>= 5.42.0~),
+               kinit-dev (>= 5.42.0~),
+               kross-dev (>= 5.42.0~),
                libboost-dev,
                libgee-0.8-dev | libgee-dev,
                libglib2.0-dev,
                libibus-1.0-dev,
-               libkf5activities-dev (>= 5.36.0~),
-               libkf5config-dev (>= 5.36.0~),
-               libkf5configwidgets-dev (>= 5.36.0~),
-               libkf5coreaddons-dev (>= 5.36.0~),
-               libkf5i18n-dev (>= 5.36.0~),
-               libkf5kcmutils-dev (>= 5.36.0~),
-               libkf5kdelibs4support-dev (>= 5.36.0~),
-               libkf5kio-dev (>= 5.36.0~),
-               libkf5newstuff-dev (>= 5.36.0~),
-               libkf5plasma-dev (>= 5.36.0~),
-               libkf5runner-dev (>= 5.36.0~),
-               libkf5service-dev (>= 5.36.0~),
-               libkf5sysguard-dev (>= 4:5.10.5~),
-               libkf5unitconversion-dev (>= 5.36.0~),
+               libkf5activities-dev (>= 5.42.0~),
+               libkf5config-dev (>= 5.42.0~),
+               libkf5configwidgets-dev (>= 5.42.0~),
+               libkf5coreaddons-dev (>= 5.42.0~),
+               libkf5i18n-dev (>= 5.42.0~),
+               libkf5kcmutils-dev (>= 5.42.0~),
+               libkf5kdelibs4support-dev (>= 5.42.0~),
+               libkf5kio-dev (>= 5.42.0~),
+               libkf5newstuff-dev (>= 5.42.0~),
+               libkf5plasma-dev (>= 5.42.0~),
+               libkf5runner-dev (>= 5.42.0~),
+               libkf5service-dev (>= 5.42.0~),
+               libkf5sysguard-dev (>= 4:5.12.4~),
+               libkf5unitconversion-dev (>= 5.42.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb-keysyms1-dev,
@@ -33,9 +33,10 @@
                libxcb1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.10.5~),
+               plasma-workspace-dev (>= 4:5.12.4~),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
+               qtwebengine5-dev [!ppc64el !s390x],
                scim-dev,
                shared-mime-info
 Standards-Version: 3.9.8
@@ -70,47 +71,6 @@
  the Plasma 5 addons module.
  .
  This package is part of the KDE Plasma addons module.
-
-Package: plasma-widgets-addons
-Architecture: any
-Depends: kdeplasma-addons-data (= ${source:Version}),
-         kpackagetool5,
-         libkf5purpose5,
-         plasma-dataengines-addons (= ${binary:Version}),
-         plasma-framework,
-         plasma-workspace,
-         qml-module-org-kde-draganddrop,
-         qml-module-org-kde-kcoreaddons,
-         qml-module-org-kde-kio,
-         qml-module-org-kde-purpose,
-         qml-module-qtgraphicaleffects,
-         qml-module-qtquick-layouts,
-         qml-module-qtquick-window2,
-         qml-module-qtwebkit,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: plasma-wallpapers-addons (<< ${source:Version})
-Replaces: plasma-wallpapers-addons (<< ${source:Version})
-Description: additional widgets for Plasma 5
- This package contains additional Plasma 5 widgets shipped in the Plasma
- addons module. Install it if you want a variety of widgets on your Plasma
- desktop.
- .
- This package provides the following widgets:
-  * Calculator
-  * Dictionary
-  * Fuzzy Clock
-  * Konsole Profiles
-  * Notes
-  * System Load Viewer
-  * Timer
-  * Unit Converter
-  * Userswitcher
-  * Diskquota
-  * Activity pager
-  * More coming soon..
- .
- This package is part of the KDE Plasma 5 addons module.
 
 Package: plasma-dataengines-addons
 Architecture: any
@@ -161,3 +121,45 @@
   * More coming soon..
  .
  This package is part of the KDE Plasma 5 addons module.
+
+Package: plasma-widgets-addons
+Architecture: any
+Depends: kdeplasma-addons-data (= ${source:Version}),
+         kpackagetool5,
+         libkf5purpose5,
+         plasma-dataengines-addons (= ${binary:Version}),
+         plasma-framework,
+         plasma-workspace,
+         qml-module-org-kde-draganddrop,
+         qml-module-org-kde-kcoreaddons,
+         qml-module-org-kde-kio,
+         qml-module-org-kde-purpose,
+         qml-module-qtgraphicaleffects,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick-window2,
+         qml-module-qtwebengine [!ppc64el !s390x],
+         qml-module-qtwebkit,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: plasma-wallpapers-addons (<< ${source:Version})
+Replaces: plasma-wallpapers-addons (<< ${source:Version})
+Description: additional widgets for Plasma 5
+ This package contains additional Plasma 5 widgets shipped in the Plasma
+ addons module. Install it if you want a variety of widgets on your Plasma
+ desktop.
+ .
+ This package provides the following widgets:
+  * Calculator
+  * Dictionary
+  * Fuzzy Clock
+  * Konsole Profiles
+  * Notes
+  * System Load Viewer
+  * Timer
+  * Unit Converter
+  * Userswitcher
+  * Diskquota
+  * Activity pager
+  * More coming soon..
+ .
+ This package is part of the KDE Plasma 5 addons module.

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/kdeplasma-addons-([\d.]+).tar.xz

## kdeplasma-addons 5.12.8

=== debian/changelog ===
kdeplasma-addons (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:38:59 +0100

kdeplasma-addons (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:55:11 +0100

kdeplasma-addons (4:5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:28:32 +0100

kdeplasma-addons (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:33:39 +0100

## kdeplasma-addons 5.12.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(kdeplasma-addons)
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.9")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12)

=== applets/dict/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 #######################################################################################
 # Package (metadata.desktop and QML)
 plasma_install_package(package org.kde.plasma_applet_dict)
+# TODO: fix pluginid "org.kde.plasma_applet_dict" into properly namespaced id "org.kde.plasma.dict"
 
 #######################################################################################
 # Icon for the package
@@ -20,7 +21,7 @@
 #######################################################################################
 # C++ Plugin
 
-add_definitions(-DTRANSLATION_DOMAIN="plasma_applet_org.kde.plasma.dict")
+add_definitions(-DTRANSLATION_DOMAIN="plasma_applet_org.kde.plasma_applet_dict")
 
 set(dict_SRCS
   plugin/dict_plugin.cpp

=== applets/diskquota/CMakeLists.txt ===

#######################################################################################
# Package
plasma_install_package(package org.kde.plasma.diskquota)


#######################################################################################
# Notes Library
add_definitions(-DTRANSLATION_DOMAIN="plasma_applet_org.kde.plasma.diskquota")

set(diskquota_SRCS
    plugin/plugin.cpp
    plugin/DiskQuota.cpp
    plugin/QuotaListModel.cpp
    plugin/QuotaItem.cpp
)

add_library(diskquotaplugin SHARED ${diskquota_SRCS})

target_link_libraries(diskquotaplugin
                      Qt5::Quick
                      KF5::CoreAddons
                      KF5::I18n)

install(FILES plugin/qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/private/diskquota)
install(TARGETS diskquotaplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/private/diskquota)

install(FILES "icons/quota.svg"
        DESTINATION ${PLASMA_DATA_INSTALL_DIR}/desktoptheme/default/icons/)

=== applets/mediaframe/CMakeLists.txt ===
plasma_install_package(package org.kde.plasma.mediaframe)

set(mediaframeplugin_SRCS
    plugin/mediaframe.cpp
    plugin/mediaframeplugin.cpp
)

add_library(mediaframeplugin SHARED ${mediaframeplugin_SRCS})

target_link_libraries(mediaframeplugin
                      Qt5::Core
                      Qt5::Qml
                      Qt5::Quick
                      KF5::I18n
                      KF5::KIOCore
                      KF5::KIOWidgets)

install(TARGETS mediaframeplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/private/mediaframe)
install(FILES plugin/qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/private/mediaframe)

=== applets/userswitcher/CMakeLists.txt ===
plasma_install_package(package org.kde.plasma.userswitcher)

=== applets/weather/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.weather\")

set(weatherapplet_SRCS
    weatherapplet.cpp)

add_library(plasma_applet_weather MODULE ${weatherapplet_SRCS})

kcoreaddons_desktop_to_json(plasma_applet_weather package/metadata.desktop SERVICE_TYPES plasma-applet.desktop)

target_link_libraries(plasma_applet_weather
    plasmaweather
    KF5::Plasma
    KF5::UnitConversion
    KF5::IconThemes
    KF5::I18n
)

install(TARGETS plasma_applet_weather DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/applets)

install(FILES wind-arrows.svgz DESTINATION ${PLASMA_DATA_INSTALL_DIR}/desktoptheme/default/weather/)

plasma_install_package(package org.kde.plasma.weather)


set(weather_SRCS
    plugin/plugin.cpp
    plugin/abstractunitlistmodel.cpp
    plugin/locationlistmodel.cpp
    plugin/servicelistmodel.cpp
)

add_library(weatherplugin SHARED ${weather_SRCS})

target_link_libraries(weatherplugin
    plasmaweather
    KF5::UnitConversion
    KF5::I18n
    Qt5::Qml
)

install(TARGETS weatherplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/weather)
install(FILES plugin/qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/weather)

=== applets/quickshare/plugin/CMakeLists.txt ===
install(FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/private/purpose)

set(purposeplugin_SRCS
    purposeplugin.cpp
    contenttracker.cpp
)

set(activitymanagerslc_xml org.kde.ActivityManager.SLC.xml)
qt5_add_dbus_interface(purposeplugin_SRCS ${activitymanagerslc_xml} activitymanagerslc_interface)

add_library(purposeplugin SHARED ${purposeplugin_SRCS})

target_link_libraries(purposeplugin
                        Qt5::Quick
                        Qt5::DBus
                        KF5::CoreAddons)

install(TARGETS purposeplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/private/purpose)

=== debian/changelog ===
kdeplasma-addons (4:5.12.9-0ubuntu0.1) bionic; urgency=medium

  * New upstream bugfix release (5.12.9). (LP: #1843613)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 12 Sep 2019 10:41:13 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libkf5plasma-dev (>= 5.42.0~),
                libkf5runner-dev (>= 5.42.0~),
                libkf5service-dev (>= 5.42.0~),
-               libkf5sysguard-dev (>= 4:5.12.4~),
+               libkf5sysguard-dev (>= 4:5.12.8~),
                libkf5unitconversion-dev (>= 5.42.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
@@ -33,12 +33,12 @@
                libxcb1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.12.4~),
+               plasma-workspace-dev (>= 4:5.12.8~),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
                qtwebengine5-dev [!ppc64el !s390x],
                scim-dev,
-               shared-mime-info
+               shared-mime-info,
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/kdeplasma-addons
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:4.14.0-2

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kdeplasma-addons-dbg (<= 4:5.5.5-1~~)'

override_dh_auto_clean:
	$(overridden_command)
	find applets/lancelot/tools/puck -name *.pyc -delete || true
